package com.viettel.campaign.model;

import javax.persistence.*;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

@Entity
@Table(name = "CAMPAIGN_COMPLETE_CODE")
public class CampaignCompleteCode implements Serializable {

    @Id
    @GeneratedValue(generator = "CAMPAIGN_COMPLETE_CODE_SEQ")
    @SequenceGenerator(name = "CAMPAIGN_COMPLETE_CODE_SEQ", sequenceName = "CAMPAIGN_COMPLETE_CODE_SEQ", allocationSize = 1)
    @Basic(optional = false)
    @Column(name = "CAMPAIGN_COMPLETE_CODE_ID")
    private Long campaignCompleteCodeId;
    @Column(name = "CAMPAIGN_ID")
    private Long campaignId;
    @Column(name = "COMPLETE_VALUE")
    private String completeValue;
    @Column(name = "COMPLETE_NAME")
    private String completeName;
    @Column(name = "DESCRIPTION")
    private String description;
    @Column(name = "STATUS")
    private Short status;
    @Column(name = "COMPLETE_TYPE")
    private Short completeType;
    @Column(name = "IS_RECALL")
    private Short isRecall;
    @Column(name = "UPDATE_BY")
    private String updateBy;
    @Column(name = "UPDATE_AT")
    @Temporal(TemporalType.TIMESTAMP)
    private Date updateAt;
    @Column(name = "CREATE_BY")
    private String createBy;
    @Column(name = "CREATE_AT")
    @Temporal(TemporalType.TIMESTAMP)
    private Date createAt;
    @Column(name = "CAMPAIGN_TYPE")
    private String campaignType;
    @Column(name = "IS_FINISH")
    private Short isFinish;
    @Column(name = "COMPANY_SITE_ID")
    private Long companySiteId;
    @Column(name = "IS_LOCK")
    private Short isLock;
    @Column(name = "DURATION_LOCK")
    private Long durationLock;

    public Long getCampaignCompleteCodeId() {
        return campaignCompleteCodeId;
    }

    public void setCampaignCompleteCodeId(Long campaignCompleteCodeId) {
        this.campaignCompleteCodeId = campaignCompleteCodeId;
    }

    public Long getCampaignId() {
        return campaignId;
    }

    public void setCampaignId(Long campaignId) {
        this.campaignId = campaignId;
    }

    public String getCompleteValue() {
        return completeValue;
    }

    public void setCompleteValue(String completeValue) {
        this.completeValue = completeValue;
    }

    public String getCompleteName() {
        return completeName;
    }

    public void setCompleteName(String completeName) {
        this.completeName = completeName;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Short getStatus() {
        return status;
    }

    public void setStatus(Short status) {
        this.status = status;
    }

    public Short getCompleteType() {
        return completeType;
    }

    public void setCompleteType(Short completeType) {
        this.completeType = completeType;
    }

    public Short getIsRecall() {
        return isRecall;
    }

    public void setIsRecall(Short isRecall) {
        this.isRecall = isRecall;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public Date getUpdateAt() {
        return updateAt;
    }

    public void setUpdateAt(Date updateAt) {
        this.updateAt = updateAt;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Date getCreateAt() {
        return createAt;
    }

    public void setCreateAt(Date createAt) {
        this.createAt = createAt;
    }

    public String getCampaignType() {
        return campaignType;
    }

    public void setCampaignType(String campaignType) {
        this.campaignType = campaignType;
    }

    public Short getIsFinish() {
        return isFinish;
    }

    public void setIsFinish(Short isFinish) {
        this.isFinish = isFinish;
    }

    public Long getCompanySiteId() {
        return companySiteId;
    }

    public void setCompanySiteId(Long companySiteId) {
        this.companySiteId = companySiteId;
    }

    public Short getIsLock() {
        return isLock;
    }

    public void setIsLock(Short isLock) {
        this.isLock = isLock;
    }

    public Long getDurationLock() {
        return durationLock;
    }

    public void setDurationLock(Long durationLock) {
        this.durationLock = durationLock;
    }
}
